Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## name.milesparker.markets
Enum StrategyEnum

    java.lang.Object
      java.lang.Enum<StrategyEnum>
          name.milesparker.markets.StrategyEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StrategyEnum>

    public enum StrategyEnum

extends java.lang.Enum<StrategyEnum>

Strategy Java Implementation. Generated by AMF for model: Markets.metaabm in project: org.eclipse.amp.amf.examples.escape

Enum Constant Summary
`momentum`
`random`
`value`

Method Summary
`java.lang.String` | `toString()`
`static StrategyEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StrategyEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### value

    public static final StrategyEnum value

### momentum

    public static final StrategyEnum momentum

### random

    public static final StrategyEnum random

Method Detail

### values

    public static StrategyEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StrategyEnum c : StrategyEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StrategyEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<StrategyEnum>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD